local L = AceLibrary("AceLocale-2.2"):new("FuBar_TrinityBars2Fu")
local Tablet = AceLibrary("Tablet-2.0")

TrinityBars2Fu = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0", "AceHook-2.1")
TrinityBars2Fu.hasIcon = "Interface\\Icons\\Ability_Druid_FlightForm"
TrinityBars2Fu.defaultPosition = "LEFT"
TrinityBars2Fu.defaultMinimapPosition = 180
TrinityBars2Fu.cannotDetachTooltip = true
TrinityBars2Fu.hasNoColor = true
TrinityBars2Fu:RegisterDB("TrinityBars2FuDB")



function TrinityBars2Fu:OnInitialize()
    self.hasIcon = true
    self:SetIcon(true)
end

function TrinityBars2Fu:OnEnable()
end

function TrinityBars2Fu:OnClick(button)
      Trinity2.ToggleMainMenu();
end

function TrinityBars2Fu:OnTooltipUpdate()
	Tablet:SetHint(L["Click to Open Main Menu"])
end

function TrinityBars2Fu:OnTextUpdate()
    if self:IsTextShown() then
        self:SetText("TrinityBars2Fu")
    end
    if not self:IsIconShown() then
        self:HideIcon()
    end
end

function TrinityBars2Fu.ToggleDockEditMode()
	if (InCombatLockdown()) then
		Trinity2MessageFrame:AddMessage(TRINITY2_STRINGS.COMBAT_LOCKDOWN, 1.0, 1.0, 1.0, 1.0, UIERRORS_HOLD_TIME)
		return;
	end

	if (Trinity2DockFrameOptions:IsVisible()) then
		Trinity2DockFrameOptions:Hide()
	else
		Trinity2DockFrameOptions:Show()
	end
end

TrinityBars2Fu.OnMenuRequest = {
	type = 'group',
	args = {
		configmode = {
            	type = 'toggle',
            	name = L["Config Mode"],
            	desc = L["Open TrinityBars2 Options Frame"],
            	set	 = function(info,var) Trinity2.ToggleDockEditMode() end,
				get	 = function(info,var) var = Trinity2DockFrameOptions:IsVisible() end,
		},
--[[		advconfig = {
            	type = 'execute',
            	name = L["Advanced Config"],
				desc = L["Advanced Config"],
            	func = function() Trinity2.ToggleDockFrameOptions() end,
		},]]--
		keybind = {
            	type = 'toggle',
            	name = L["Keybind"],
				desc = L["Toggle Keybind Mode"],
            	set  = function(info,var) Trinity2.ToggleBindingEditMode() end,
				get	 = function(info,var) var = Trinity2BindingEditor:IsVisible() end
		},
--[[		buttonedit = {
            	type = 'execute',
            	name = L["Button Edit"],
				desc = L["Toggle Button Edit Mode"],
            	func  = function() TrinityBars2.ToggleButtonEditMode() end,
		},]]--
	},
}